import axios from "@/tools/axios.js";
//登录
export const Login =   (data) =>  {
    	return 	axios({url:import.meta.env.VITE_APP_API+'admin/login',data:data})
}
//admin后台获取当前用户菜单
export const GetAdminBaseMenuList =   (data={}) =>  {
    	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/getBaseMenuList',data:data})
}
//Token刷新
export const TokenRefresh =   (data={}) =>  {
    	return 	axios({url:import.meta.env.VITE_APP_API+'tokenRefresh',data:data})
}
//获取admin后台用户list
export const getAdminUserList =   (data={}) =>  {
    	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/getUserList',data:data})
}
//admin后台获取所有菜单列表
export const GetAdminMenuList =   (data={}) =>  {
    	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/getMenuList',data:data})
}
//admin后台获取一级菜单
export const GetFatherMenuList =   (data={}) =>  {
    	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/GetFatherMenuList',data:data})
}
//admin后台添加菜单
export const AddMenu =   (data={}) =>  {
    	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/AddMenu',data:data})
}
//admin后台编辑菜单
export const EditMenu =   (data={}) =>  {
    	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/EditMenu',data:data})
}
//admin后台组列表
export const getGroupList =   (data={}) =>  {
    	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/getGroupList',data:data})
}
//admin后台修改组菜单
export const GroupChangeMenu =   (data={}) =>  {
    	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/GroupChangeMenu',data:data})
}
//admin后台添加组
export const SaveGroup =   (data={}) =>  {
    	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/SaveGroup',data:data})
}
//admin后台保存用户信息
export const SaveSystemUserInfo =   (data={}) =>  {
    	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/SaveSystemUserInfo',data:data})
}
//admin后台获取用户详细信息
export const GetSystemUserDetail =   (data={}) =>  {
    	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/GetSystemUserDetail',data:data})
}
//admin后台修改密码
export const adminChangePwd =   (data={}) =>  {
    	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/adminChangePwd',data:data})
}
//admin后台获取登录用户基本信息
export const GetBaseAdminUserInfo =   (data={}) =>  {
    	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/GetBaseUserInfo',data:data})
}
//admin后台管理员查询分组使用的菜单
export const AdminGetGroupMenuList =   (data={}) =>  {
    	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/GetGroupMenuList',data:data})
}

//admin后台检查权限
export const CheckMenuAuth =   (data={}) =>  {
	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/CheckMenuAuth',data:data})
}
//上传图片
// export const UpFile =   (data={}) =>  {
// 	return 	axios({url:import.meta.env.VITE_APP_API+'v1/UpFile',data:data})
// }
export const UpFileUrl=   () =>  {
	return 	import.meta.env.VITE_APP_API+'v1/UpFile'
}

//admin后台修改自身用户信息
export const ChangInfo =   (data={}) =>  {
	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/ChangInfo',data:data})
}
//admin后台获取站点配置信息
export const GetConfigInfo =   (data={}) =>  {
	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/GetConfigInfo',data:data})
}
//admin后台保存站点配置信息
export const SaveConfigInfo =   (data={}) =>  {
	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/SaveConfigInfo',data:data})
}
//获取日志列表
export const SystemLogGetList =   (data={}) =>  {
	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/SystemLogGetList',data:data})
}
//获取日志表名
export const GetLogTableName =   (data={}) =>  {
	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/GetLogTableName',data:data})
}


//获取接入app列表
export const AppGetList =   (data={}) =>  {
	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/AppGetList',data:data})
}
//保存app
export const AppSave =   (data={}) =>  {
	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/AppSave',data:data})
}
//删除app
export const AppDel =   (data={}) =>  {
	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/AppDel',data:data})
}
//获取发票列表
export const InvoiceGetList =   (data={}) =>  {
	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/InvoiceGetList',data:data})
}
//获取发票详情
export const InvoiceGetDetail =   (data={}) =>  {
	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/InvoiceGetDetail',data:data})
}
//修改发票信息
export const InvoiceSave =   (data={}) =>  {
	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/InvoiceSave',data:data})
}
//删除发票信息
export const InvoiceDel =   (data={}) =>  {
	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/InvoiceDel',data:data})
}
//获取工单列表
export const ChatGetWorkOrderList =   (data={}) =>  {
	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/GetWorkOrderList',data:data})
}
//获取聊天详情
export const ChatGetMsgList =   (data={}) =>  {
	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/ChatGetMsgList',data:data})
}
//聊天插入消息
export const ChatInsertMsg =   (data={}) =>  {
	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/ChatInsertMsg',data:data})
}
//获取工单简介
export const GetWorkOrderInfo =   (data={}) =>  {
	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/GetWorkOrderInfo',data:data})
}
//更改工单状态
export const ChangeWorkOrder =   (data={}) =>  {
	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/ChangeWorkOrder',data:data})
}
//删除工单
export const WorkOrderDel =   (data={}) =>  {
	return 	axios({url:import.meta.env.VITE_APP_API+'v1/admin/WorkOrderDel',data:data})
}